/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller.web;

import static fr.unistra.sil.erp.back.WebMvcConfig.MAPPING_LOGIN;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * Controller for the Web login interface.
 * 
 * This controller handles the connection process of the user 
 * upon his arrival.
 * 
 * @author BEAUVAIS ANTOINE
 */
@Controller
public class LoginController {
    
    /**
     * Logic for handling login.
     * 
     * TODO: Actual implementation.
     * @return the name of the template to use.
     */
    @GetMapping(MAPPING_LOGIN)
    public String login()
    {
        return "login";
    }
    
}
